package com.brilliance.isc.common.setfog.service;

import com.brilliance.isc.bo.Fcp;
import com.brilliance.isc.common.setfog.vo.SetfogVo;
import com.brilliance.isc.common.setfog.vo.SetfolVo;
import com.brilliance.isc.common.setmod.vo.SetmodVo;
import com.brilliance.isc.common.vo.BizInfoVo;
import com.brilliance.mda.runtime.mda.impl.Argument;

import java.math.BigDecimal;

public interface SetfogService {
    String calcMacbog(SetmodVo setmodVo);

    void recalcSetfogBog(SetmodVo setmodVo);

    String calcMaceog(SetmodVo setmodVo);

    void recalcSetfogEog(SetmodVo setmodVo);

    void getCurForChgRolbyDsp(SetfogVo setfog, String rol, String dsp, Argument<String> cur, Argument<BigDecimal> amt);

    void setDspPolDft(SetfogVo setfog, String argDspPolDft,String argDisableFlag);

    Fcp setwrkFcp(SetfolVo setfol, BizInfoVo rec, String trninr);

    void registerSetfol(SetmodVo setmodVo, String ptydbt, String ptypay, String cur, BigDecimal amt);

}
